GNU bug report logs - #39326
[EWW] submit buttons are displayed differently in Emacs 24 and Emacs 27

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Denis Ah-Kang <denis@HIDDEN>; Keywords: fixed; Done: Lars Ingebrigtsen <larsi@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
bug marked as fixed in version 28.1, send any further explanations to 39326 <at> debbugs.gnu.org and Denis Ah-Kang <denis@HIDDEN> Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Added tag(s) fixed. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 39326 <at> debbugs.gnu.org:


Received: (at 39326) by debbugs.gnu.org; 20 Feb 2020 13:44:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Feb 20 08:44:51 2020
Received: from localhost ([127.0.0.1]:44060 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1j4m8J-0006u2-7W
	for submit <at> debbugs.gnu.org; Thu, 20 Feb 2020 08:44:51 -0500
Received: from quimby.gnus.org ([95.216.78.240]:47184)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1j4m8H-0006tl-21
 for 39326 <at> debbugs.gnu.org; Thu, 20 Feb 2020 08:44:49 -0500
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=marnie)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1j4m88-0003MR-75; Thu, 20 Feb 2020 14:44:42 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Denis Ah-Kang <denis@HIDDEN>
Subject: Re: bug#39326: [EWW] submit buttons are displayed differently in
 Emacs 24 and Emacs 27
References: <3530548a-bde0-5493-5da2-bcebd49ae783@HIDDEN>
Date: Thu, 20 Feb 2020 14:44:39 +0100
In-Reply-To: <3530548a-bde0-5493-5da2-bcebd49ae783@HIDDEN> (Denis Ah-Kang's
 message of "Tue, 28 Jan 2020 16:45:27 +0400")
Message-ID: <87wo8h4blk.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Denis Ah-Kang <denis@HIDDEN> writes: > Let's take the
 following
 markup: > <button type="submit">Accept</button> > > With Emacs 24, EWW will
 display that button with the text "Accept" but > with Emacs 27, the text
 is "Submit". 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: ingebrigtsen.no]
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 39326
Cc: 39326 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Denis Ah-Kang <denis@HIDDEN> writes:

> Let's take the following markup:
> <button type="submit">Accept</button>
>
> With Emacs 24, EWW will display that button with the text "Accept" but
> with Emacs 27, the text is "Submit".

I've now fixed this in Emacs 28.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39326; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 28 Jan 2020 14:36:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 28 09:36:37 2020
Received: from localhost ([127.0.0.1]:59741 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iwRym-00014H-Lf
	for submit <at> debbugs.gnu.org; Tue, 28 Jan 2020 09:36:37 -0500
Received: from lists.gnu.org ([209.51.188.17]:41070)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <denis@HIDDEN>) id 1iwQFM-0006qP-Q6
 for submit <at> debbugs.gnu.org; Tue, 28 Jan 2020 07:45:37 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:51881)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <denis@HIDDEN>) id 1iwQFL-0000Ht-P9
 for bug-gnu-emacs@HIDDEN; Tue, 28 Jan 2020 07:45:36 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-2.8 required=5.0 tests=BAYES_05,RCVD_IN_DNSWL_MED
 autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <denis@HIDDEN>) id 1iwQFK-00021u-MG
 for bug-gnu-emacs@HIDDEN; Tue, 28 Jan 2020 07:45:35 -0500
Received: from raoul.w3.org ([128.30.52.128]:59226)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <denis@HIDDEN>) id 1iwQFK-0001zz-It
 for bug-gnu-emacs@HIDDEN; Tue, 28 Jan 2020 07:45:34 -0500
Received: from [41.213.242.194] (helo=[192.168.1.13])
 by raoul.w3.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.89) (envelope-from <denis@HIDDEN>) id 1iwQFH-0002Hl-GM
 for bug-gnu-emacs@HIDDEN; Tue, 28 Jan 2020 12:45:31 +0000
To: bug-gnu-emacs@HIDDEN
From: Denis Ah-Kang <denis@HIDDEN>
Subject: [EWW] submit buttons are displayed differently in Emacs 24 and Emacs
 27
Message-ID: <3530548a-bde0-5493-5da2-bcebd49ae783@HIDDEN>
Date: Tue, 28 Jan 2020 16:45:27 +0400
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:60.0) Gecko/20100101
 Thunderbird/60.9.0
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 128.30.52.128
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Tue, 28 Jan 2020 09:36:36 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

Hi,

I was recently helping someone debug a web page displayed in
EWW and I found out that Emacs 24 and Emacs 27 (and maybe earlier 
versions) don't render the submit buttons the same way.

Let's take the following markup:
<button type="submit">Accept</button>

With Emacs 24, EWW will display that button with the text "Accept" but
with Emacs 27, the text is "Submit".

Note, if there's a name attribute, Emacs 27 will display that attribute
instead.

Trying with other text browsers such as lynx or w3m, they all display
the text node. Do you know if EWW intentionally display 'Submit' for
all these buttons? This can be a accessibility problem when there are
multiple forms and submit buttons on the same page as the buttons
will all be displayed the same way.

Thanks,

Denis




Acknowledgement sent to Denis Ah-Kang <denis@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#39326; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Thu, 20 Feb 2020 14:00:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.